clang 10.0.0git

Public Attributes | List of all members
clang::CXXRewrittenBinaryOperator::DecomposedForm Struct Reference

`#include "clang/AST/ExprCXX.h"`

Collaboration diagram for clang::CXXRewrittenBinaryOperator::DecomposedForm:
[legend]

## Public Attributes
BinaryOperatorKind | Opcode
| The original opcode, prior to rewriting. More...
const Expr * | LHS
| The original left-hand side. More...
const Expr * | RHS
| The original right-hand side. More...
const Expr * | InnerBinOp
| The inner `==` or `<=>` operator expression. More...

## Detailed Description

Definition at line 296 of file ExprCXX.h.

## Member Data Documentation

## ◆ InnerBinOp

const Expr* clang::CXXRewrittenBinaryOperator::DecomposedForm::InnerBinOp

The inner `==` or `<=>` operator expression.

Definition at line 304 of file ExprCXX.h.

Referenced by clang::CXXRewrittenBinaryOperator::getDecomposedForm().

## ◆ LHS

const Expr* clang::CXXRewrittenBinaryOperator::DecomposedForm::LHS

The original left-hand side.

Definition at line 300 of file ExprCXX.h.

Referenced by clang::CXXRewrittenBinaryOperator::getDecomposedForm(), and clang::CXXRewrittenBinaryOperator::getSourceRange().

## ◆ Opcode

BinaryOperatorKind clang::CXXRewrittenBinaryOperator::DecomposedForm::Opcode

The original opcode, prior to rewriting.

Definition at line 298 of file ExprCXX.h.

Referenced by clang::CXXRewrittenBinaryOperator::getDecomposedForm().

## ◆ RHS

const Expr* clang::CXXRewrittenBinaryOperator::DecomposedForm::RHS

The original right-hand side.

Definition at line 302 of file ExprCXX.h.

Referenced by clang::CXXRewrittenBinaryOperator::getDecomposedForm(), and clang::CXXRewrittenBinaryOperator::getSourceRange().

The documentation for this struct was generated from the following file:

- include/clang/AST/ExprCXX.h